AsterNet Class Library (Sandcastle documentation)

| QueueMemberAddedEvent Status Property

Get/Set the status of this queue member.
Valid status codes are:

0. AST_DEVICE_UNKNOWN
1. AST_DEVICE_NOT_INUSE
2. AST_DEVICE_INUSE
3. AST_DEVICE_BUSY
4. AST_DEVICE_INVALID
5. AST_DEVICE_UNAVAILABLE
6. AST_DEVICE_RINGING
7. AST_DEVICE_RINGINUSE
8. AST_DEVICE_ONHOLD

Namespace: AsterNET.Manager.Event
Assembly: AsterNET (in AsterNET.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy

    public int Status { get; set; }

    Public Property Status As Integer
    	Get
    	Set

    public:
    property int Status {
    	int get ();
    	void set (int value);
    }

    member Status : int with get, set

#### Property Value

Type: Int32
See Also

#### Reference

QueueMemberAddedEvent Class
AsterNET.Manager.Event Namespace